EnumConstantNotPresentException (Java SE 9 & JDK 9 )
Keywords: java.lang.EnumConstantNotPresentException class

Module java.base
Package java.lang

## Class EnumConstantNotPresentException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.EnumConstantNotPresentException

- All Implemented Interfaces:
    `Serializable`

      public class EnumConstantNotPresentException
      extends RuntimeException

  Thrown when an application tries to access an enum constant by name and the enum type contains no constant with the specified name. This exception can be thrown by the API used to read annotations reflectively.
  Since:
    1.5
  See Also:
    `AnnotatedElement`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EnumConstantNotPresentException​(Class<? extends Enum> enumType, String constantName)` | Constructs an `EnumConstantNotPresentException` for the specified constant.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `constantName​()` | Returns the name of the missing enum constant.
    `Class<? extends Enum>` | `enumType​()` | Returns the type of the missing enum constant.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

- - ### Constructor Detail

    - #### EnumConstantNotPresentException

          public EnumConstantNotPresentException​(Class<? extends Enum> enumType,
                                                 String constantName)

      Constructs an `EnumConstantNotPresentException` for the specified constant.
      Parameters:
        `enumType` - the type of the missing enum constant
        `constantName` - the name of the missing enum constant

  - ### Method Detail

    - #### enumType

          public Class<? extends Enum> enumType​()

      Returns the type of the missing enum constant.
      Returns:
        the type of the missing enum constant

    - #### constantName

          public String constantName​()

      Returns the name of the missing enum constant.
      Returns:
        the name of the missing enum constant